For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a variable product

Add a product with multiple variations (e.g. size, colour) to your marketplace store.

POST /v1/external/marketplace/{store_id}/products/variable

Each variation must have at least one attribute. Attributes are used to distinguish variations from one another — ensure name and value Combinations are unique across variations within the same product.

Path Parameters

Parameter
Type
Required
Description

store_id

string

Yes

Your unique marketplace store ID

Request Body

Top-level Fields

Parameter
Type
Required
Description

name

string

Yes

Product name

description

string

Yes

Short product description

currency

string

Yes

Currency code e.g. NGN, USD, GBP

image_1

string

Yes

URL of the primary product image

variations

array

Yes

List of product variations (at least one required)

category_name

string

Yes

Product category e.g. Shoes, Dresses, Tees

store_product_id

string

Yes

Your unique identifer for the product on your

Variation Object

Each object in the variations array supports the following fields:

Parameter
Type
Required
Description

price

number

Yes

Price of this variation in the specified currency

kg_weight

number

Yes

Weight of this variation in kilograms

dimensions

object

Yes

Physical dimensions of this variation

dimensions.length_cm

number

Yes

Length in centimetres

dimensions.width_cm

number

Yes

Width in centimetres

dimensions.height_cm

number

Yes

Height in centimetres

image

string

Yes

URL of the image for this specific variation

attributes

array

Yes

List of attribute objects defining this variation

store_variation_id

string

Yes

Your unique identifer for the product variant on your

Attribute Object

Each object in the attributes array supports the following fields:

Parameter
Type
Required
Description

name

string

Yes

Attribute name e.g. Size, Color, Material

value

string

Yes

Attribute value e.g. 42, Red, Cotton

Response

Last updated

Was this helpful?